Subject: devel-digest V2 #200
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest           Friday, June 18 1999           Volume 02 : Number 200

In this issue:

    Re: test jdk117 built on disk 12
    Re: bootup problem when no net is available but it expected one
    /dev/audio
    Re: libfloat
    Re: bootup problem when no net is available but it expected one
    Re: /dev/audio

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Thu, 17 Jun 1999 01:06:00 -0400
From: KDriedger <[email-masked]>
Subject: Re: test jdk117 built on disk 12

Hi Scott,

Thanks for the work on the JDK117!  I tested out all the demo programs
that came with the JDK.  It appears that the 'arch' command was missing so
I did a:
cat > arch
echo armv4l
^D
chmod 775 arch
in the bin directory.

All of the tests worked.  Now to test it out on HotJava (where do I find
that again.... I need sleep :-)

]{evin.

On Wed, 16 Jun 1999, scott hutinger wrote:

> Please try
> ftp://skyping.mprojects.wiu.edu/pub
> 
> it should have a jdk in just to see if it works on other peoples
> systems.
> 
> I'll leave the netwinder up tonight, but need to bring it back down
> during the day ( -6 hours GMT) at about 10:00 or 11:00 in the morning
> till I leave (while I can get by without the other computer).
> 
> Please test it, and if it at least runs, let me know at
> [email-masked]
> 
> I think it will probably only run on DISK 12 systems.
> 
> Please try it
> 
> rw-r--r--   1 root     root     12026224 Jun 11  1999
> jdk117_v3a_12_arm.tg
> 
> It's pretty large.
> 
> I'll try to make some disk space and see if someone else want's to put
> the newest build (build tools) on it.
> 
> If I can verify it even runs on disk 12 on other peoples systems, then I
> can have it moved to Blackdown.
> 
> thanks
> 
> 
> 
> 

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Thu, 17 Jun 1999 11:50:19 -0400
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: bootup problem when no net is available but it expected one

Tim Rowledge wrote:
> I also tried using boot cmd=init=/bin/ash.static, and even
> NeTTrom->load-defaullts.

The correct syntax is
  setenv cmdappend init=/bin/ash.static
or
  setenv cmdappend init=/bin/bash

- --
Andrew E. Mileski - Software Engineer
Rebel.com  http://www.rebel.com/

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Thu, 17 Jun 1999 12:36:39 -0500
From: "Darryl DeGraff" <[email-masked]>
Subject: /dev/audio

Does this device use a dma channel or an interrupt?  I get communication
errors on the parallel port when I send data to it via
     cat <file> /dev/audio

darryl

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Thu, 17 Jun 1999 16:22:08 -0400
From: Scott Bambrough <[email-masked]>
Subject: Re: libfloat

This is a multi-part message in MIME format.
- --------------005E65E8EACA25D9EDEC2E68
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Eric Thomas wrote:
> 
> >
> > I tried this on a couple of NetWinder's this morning.  I built with gcc-2.93.21
> > 19990514 and with gcc-2.95 1990614.  Both were successful.  I tried both static
> > and dynamic cases.
> >
> 
> Ok...It works as long as I specify -O2.  If I only use the default
> optimization and specify -msoft-float, egcs continues to produce
> floating point opcodes.  I tried it with gcc-2.91.66 and gcc-2.95
> 19990615.
> 
> Try it again if you get a chance without the -O2.
> 
> Eric

The problem in this case is there is no native support for long long variables. 
It requires a routine __floatdidf from libgcc.a.  libgcc.a is compiled without
- -msoft-float, and the calling program is compiled with -msoft-float. 
__floatdidf takes a long long in r0, r1, converts it and returns a double in
f0.  However the calling program expects the result returned in r0, r1 as it is
compiled using with -msoft-float.

The generated assembler with no optimization flags or -O0 is:

ldmia	r2, {r0, r1}	/* get long long from stack */
bl	__floatdidf	/* convert it, result is in f0 */
stmdb	r4, {r0, r1}	/* store double on stack */

With -O1 or greater the compiler does away with this call altogether. 
Inspection of the generated assembler shows the compiler has done the
conversion, and stored the double value.

Scott
- --------------005E65E8EACA25D9EDEC2E68
Content-Type: text/x-vcard; charset=us-ascii; name="vcard.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Scott Bambrough
Content-Disposition: attachment; filename="vcard.vcf"

begin:          vcard
fn:             Scott Bambrough
n:              Bambrough;Scott
org:            Rebel.com
adr:            150 Isabella St.;;;Ottawa;Ontario;K1S 1V7;Canada
email;internet: [email-masked]
title:          Software Engineer
tel;work:       (613) 788-6000 x6116
tel;fax:        (613) 230-8300
x-mozilla-cpt:  ;0
x-mozilla-html: FALSE
version:        2.1
end:            vcard

- --------------005E65E8EACA25D9EDEC2E68--

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Thu, 17 Jun 1999 14:27:40 -0700
From: Tim Rowledge <[email-masked]>
Subject: Re: bootup problem when no net is available but it expected one

"Andrew E. Mileski" <[email-masked]> wrote:
>Tim Rowledge wrote:
>> I also tried using boot cmd=init=/bin/ash.static, and even
>> NeTTrom->load-defaullts.
>
>The correct syntax is
>  setenv cmdappend init=/bin/ash.static

Ah - not quite what you typed the first time, nor what I understood from the
NeTTrom help command. Nevermind, I took it home and reconnected to the ISDN hub
there, whereupon it booted quite happily. After turning off the eth0 interface
it would boot happily with no ethernet cable.

Question: why on earth can't it work out that since there is no conection it
should 'do the right thing' and pretend the interface is turned off? Surely that
isn't a difficult thing to handle? What is one supposed to do if the net is
dead or the phonelines are down?

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Thu, 17 Jun 1999 22:32:47 -0400
From: Woody Suwalski <[email-masked]>
Subject: Re: /dev/audio

"Darryl DeGraff" <[email-masked]> wrote:
>Does this device use a dma channel or an interrupt?  I get communication
>errors on the parallel port when I send data to it via
>     cat <file> /dev/audio

I think it uses both. And it is the same ISA to PCI bridge + DMA (Winbond=
 553),
as the ISA parallel (Winbond SuperIO)...

Woody

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #200
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.